

#include "BUILTIN.h"
extern OBJ __AFileSystem_2;
extern OBJ __AFileSystem_4;
extern OBJ __AFileSystem_6;
extern OBJ __AFileSystem_8;
extern OBJ __AFileSystem_10;
extern OBJ __AFileSystem_12;
extern OBJ __AFileSystem_14;
extern OBJ __AFileSystem_16;
extern OBJ __AFileSystem_18;
extern OBJ __AFileSystem_20;
extern OBJ __AFileSystem_22;
extern OBJ __AFileSystem_24;
extern OBJ _AFileSystem_197(OBJ,OBJ);extern OBJ __AFileSystem_197;

#include "Nat.h"

#include "Denotation.h"

#include "Char.h"

#include "Real.h"
extern OBJ __APrintableChar_29;
extern OBJ __APrintableChar_61;
extern OBJ __APrintableChar_62;
extern OBJ __APrintableChar_86;
extern OBJ __APrintableChar_87;
extern OBJ __APrintableChar_88;
extern OBJ __APrintableChar_91;
extern OBJ __APrintableChar_92;
extern OBJ _AStringConv_1(OBJ);extern OBJ __AStringConv_1;
extern OBJ _AStringFormat_1(OBJ,OBJ);extern OBJ __AStringFormat_1;
extern OBJ _ABTUnion_23(OBJ,OBJ);extern OBJ __ABTUnion_23;
extern OBJ _ABTUnion_29(OBJ,OBJ);extern OBJ __ABTUnion_29;
extern OBJ _ABTUnion_36(OBJ);extern OBJ __ABTUnion_36;
extern OBJ _ATimeConv_6(OBJ,OBJ);extern OBJ __ATimeConv_6;
extern OBJ _AUserAndGroupConv_9(OBJ);extern OBJ __AUserAndGroupConv_9;
extern OBJ _AUserAndGroupConv_10(OBJ);extern OBJ __AUserAndGroupConv_10;

#include "Int.h"

#include "Array.h"

#include "FileSystemConv.h"

#define __AFileSystemConv_Sq_O3_L32 __AFileSystemConv_32
extern OBJ __AFileSystemConv_Sq_O3_L32;

#define __AFileSystemConv_Sq_O3_L33 __AFileSystemConv_33
extern OBJ __AFileSystemConv_Sq_O3_L33;

#define __AFileSystemConv_Sq_O3_L34 __AFileSystemConv_34
extern OBJ __AFileSystemConv_Sq_O3_L34;

#define __AFileSystemConv_Sq_O4_L35 __AFileSystemConv_35
#define _AFileSystemConv_Sq_O4_L35 _AFileSystemConv_35
#define AFileSystemConv_35 AFileSystemConv_Sq_O4_L35
extern OBJ __AFileSystemConv_Sq_O4_L35;
extern OBJ _AFileSystemConv_Sq_O4_L35(OBJ,OBJ);

#define __AFileSystemConv_Sq_O5_L36 __AFileSystemConv_36
extern OBJ __AFileSystemConv_Sq_O5_L36;

#define __AFileSystemConv_Sq_O5_L37 __AFileSystemConv_37
extern OBJ __AFileSystemConv_Sq_O5_L37;

#define __AFileSystemConv_Sq_O2_L15 __AFileSystemConv_15
extern OBJ __AFileSystemConv_Sq_O2_L15;

#define __AFileSystemConv_Sq_O2_L16 __AFileSystemConv_16
extern OBJ __AFileSystemConv_Sq_O2_L16;

#define __AFileSystemConv_Sq_O2_L17 __AFileSystemConv_17
extern OBJ __AFileSystemConv_Sq_O2_L17;

#define __AFileSystemConv_Sq_O2_L18 __AFileSystemConv_18
extern OBJ __AFileSystemConv_Sq_O2_L18;

#define __AFileSystemConv_Sq_O2_L19 __AFileSystemConv_19
extern OBJ __AFileSystemConv_Sq_O2_L19;

#define __AFileSystemConv_Sq_O2_L20 __AFileSystemConv_20
extern OBJ __AFileSystemConv_Sq_O2_L20;

#define __AFileSystemConv_Sq_O2_L21 __AFileSystemConv_21
extern OBJ __AFileSystemConv_Sq_O2_L21;

#define __AFileSystemConv_Sq_O2_L22 __AFileSystemConv_22
extern OBJ __AFileSystemConv_Sq_O2_L22;

#define __AFileSystemConv_Sq_O3_L23 __AFileSystemConv_23
extern OBJ __AFileSystemConv_Sq_O3_L23;

#define __AFileSystemConv_Sq_O3_L24 __AFileSystemConv_24
extern OBJ __AFileSystemConv_Sq_O3_L24;

#define __AFileSystemConv_Sq_O3_L25 __AFileSystemConv_25
extern OBJ __AFileSystemConv_Sq_O3_L25;

#define __AFileSystemConv_Sq_O3_L26 __AFileSystemConv_26
extern OBJ __AFileSystemConv_Sq_O3_L26;

#define __AFileSystemConv_Sq_O3_L27 __AFileSystemConv_27
extern OBJ __AFileSystemConv_Sq_O3_L27;

#define __AFileSystemConv_Sq_O3_L28 __AFileSystemConv_28
extern OBJ __AFileSystemConv_Sq_O3_L28;

#define __AFileSystemConv_Sq_O3_L29 __AFileSystemConv_29
extern OBJ __AFileSystemConv_Sq_O3_L29;

#define __AFileSystemConv_Sq_O3_L30 __AFileSystemConv_30
extern OBJ __AFileSystemConv_Sq_O3_L30;

#define __AFileSystemConv_Sq_O3_L31 __AFileSystemConv_31
extern OBJ __AFileSystemConv_Sq_O3_L31;
extern OBJ _AFileSystemConv_Sq(OBJ);OBJ __AFileSystemConv_Sq; /* ` */
extern OBJ _AFileSystemConv_Sq_O1(OBJ);OBJ __AFileSystemConv_Sq_O1; /* `,1 */
extern OBJ _AFileSystemConv_Sq_O2(OBJ);OBJ __AFileSystemConv_Sq_O2; /* `,2 */
extern OBJ _AFileSystemConv_Sq_O3(OBJ);OBJ __AFileSystemConv_Sq_O3; /* `,3 */
extern OBJ _AFileSystemConv_Sq_O4(OBJ);OBJ __AFileSystemConv_Sq_O4; /* `,4 */
extern OBJ _AFileSystemConv_Sq_O5(OBJ);OBJ __AFileSystemConv_Sq_O5; /* `,5 */
extern OBJ _AFileSystemConv_Ahc_Aconvinode(OBJ);OBJ __AFileSystemConv_Ahc_Aconvinode; /* hc_convinode */
extern OBJ _AFileSystemConv_Ahc_Aconvdevice(OBJ);OBJ __AFileSystemConv_Ahc_Aconvdevice; /* hc_convdevice */
OBJ __AFileSystemConv_Sq_O2_L15; /* `,2'15 */
OBJ __AFileSystemConv_Sq_O2_L16; /* `,2'16 */
OBJ __AFileSystemConv_Sq_O2_L17; /* `,2'17 */
OBJ __AFileSystemConv_Sq_O2_L18; /* `,2'18 */
OBJ __AFileSystemConv_Sq_O2_L19; /* `,2'19 */
OBJ __AFileSystemConv_Sq_O2_L20; /* `,2'20 */
OBJ __AFileSystemConv_Sq_O2_L21; /* `,2'21 */
OBJ __AFileSystemConv_Sq_O2_L22; /* `,2'22 */
OBJ __AFileSystemConv_Sq_O3_L23; /* `,3'23 */
OBJ __AFileSystemConv_Sq_O3_L24; /* `,3'24 */
OBJ __AFileSystemConv_Sq_O3_L25; /* `,3'25 */
OBJ __AFileSystemConv_Sq_O3_L26; /* `,3'26 */
OBJ __AFileSystemConv_Sq_O3_L27; /* `,3'27 */
OBJ __AFileSystemConv_Sq_O3_L28; /* `,3'28 */
OBJ __AFileSystemConv_Sq_O3_L29; /* `,3'29 */
OBJ __AFileSystemConv_Sq_O3_L30; /* `,3'30 */
OBJ __AFileSystemConv_Sq_O3_L31; /* `,3'31 */
OBJ __AFileSystemConv_Sq_O3_L32; /* `,3'32 */
OBJ __AFileSystemConv_Sq_O3_L33; /* `,3'33 */
OBJ __AFileSystemConv_Sq_O3_L34; /* `,3'34 */
extern OBJ _AFileSystemConv_Sq_O4_L35(OBJ,OBJ);OBJ __AFileSystemConv_Sq_O4_L35; /* `,4'35 */
OBJ __AFileSystemConv_Sq_O5_L36; /* `,5'36 */
OBJ __AFileSystemConv_Sq_O5_L37; /* `,5'37 */

#include "FileSystemConv.hc.c"

extern OBJ _AFileSystemConv_Sq(OBJ x1) /* ` */
{OBJ r;
 AFileSystemConv_Ahc_Aconvinode(x1,r);
 return r;}

extern OBJ _AFileSystemConv_Sq_O1(OBJ x1) /* `,1 */
{OBJ r;
 AFileSystemConv_Ahc_Aconvdevice(x1,r);
 return r;}

extern OBJ _AFileSystemConv_Sq_O2(OBJ x1) /* `,2 */
{OBJ r;
 switch(TGPRM(x1)){
  case 5:
   CPPRD(__AFileSystemConv_Sq_O2_L16,1);
   r=__AFileSystemConv_Sq_O2_L16;break;
  case 6:
   CPPRD(__AFileSystemConv_Sq_O2_L17,1);
   r=__AFileSystemConv_Sq_O2_L17;break;
  case 7:
   CPPRD(__AFileSystemConv_Sq_O2_L18,1);
   r=__AFileSystemConv_Sq_O2_L18;break;
  case 4:
   CPPRD(__AFileSystemConv_Sq_O2_L19,1);
   r=__AFileSystemConv_Sq_O2_L19;break;
  case 1:
   CPPRD(__AFileSystemConv_Sq_O2_L20,1);
   r=__AFileSystemConv_Sq_O2_L20;break;
  case 2:
   CPPRD(__AFileSystemConv_Sq_O2_L21,1);
   r=__AFileSystemConv_Sq_O2_L21;break;
  case 0:
   CPPRD(__AFileSystemConv_Sq_O2_L22,1);
   r=__AFileSystemConv_Sq_O2_L22;break;
  default: 
   CPPRD(__AFileSystemConv_Sq_O2_L15,1);
   r=__AFileSystemConv_Sq_O2_L15;}
 return r;}

extern OBJ _AFileSystemConv_Sq_O3(OBJ x1) /* `,3 */
{OBJ r;
 switch(TGPRM(x1)){
  case 7:
   CPPRD(__AFileSystemConv_Sq_O3_L24,1);
   r=__AFileSystemConv_Sq_O3_L24;break;
  case 9:
   CPPRD(__AFileSystemConv_Sq_O3_L25,1);
   r=__AFileSystemConv_Sq_O3_L25;break;
  case 10:
   CPPRD(__AFileSystemConv_Sq_O3_L26,1);
   r=__AFileSystemConv_Sq_O3_L26;break;
  case 11:
   CPPRD(__AFileSystemConv_Sq_O3_L27,1);
   r=__AFileSystemConv_Sq_O3_L27;break;
  case 8:
   CPPRD(__AFileSystemConv_Sq_O3_L28,1);
   r=__AFileSystemConv_Sq_O3_L28;break;
  case 5:
   CPPRD(__AFileSystemConv_Sq_O3_L29,1);
   r=__AFileSystemConv_Sq_O3_L29;break;
  case 6:
   CPPRD(__AFileSystemConv_Sq_O3_L30,1);
   r=__AFileSystemConv_Sq_O3_L30;break;
  case 4:
   CPPRD(__AFileSystemConv_Sq_O3_L31,1);
   r=__AFileSystemConv_Sq_O3_L31;break;
  case 1:
   CPPRD(__AFileSystemConv_Sq_O3_L32,1);
   r=__AFileSystemConv_Sq_O3_L32;break;
  case 2:
   CPPRD(__AFileSystemConv_Sq_O3_L33,1);
   r=__AFileSystemConv_Sq_O3_L33;break;
  case 0:
   CPPRD(__AFileSystemConv_Sq_O3_L34,1);
   r=__AFileSystemConv_Sq_O3_L34;break;
  default: 
   CPPRD(__AFileSystemConv_Sq_O3_L23,1);
   r=__AFileSystemConv_Sq_O3_L23;}
 return r;}

extern OBJ _AFileSystemConv_Sq_O4(OBJ x1) /* `,4 */
{OBJ r;
 CPCLS(__AFileSystemConv_Sq_O4_L35,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFileSystemConv_Sq_O4_L35,1))(__AFileSystemConv_Sq_O4_L35,x1);
  ADenotation_2(__ANat_16,x2,r);}
 return r;}

extern OBJ _AFileSystemConv_Sq_O5(OBJ x1) /* `,5 */
{OBJ r;
 {OBJ x156=FLD1(x1,1);OBJ x157=FLD1(x1,2);OBJ x158=FLD1(x1,3);OBJ x159=FLD1(x1,4);OBJ x160=FLD1(x1,5);OBJ x161=FLD1(x1,6);OBJ x162=FLD1(x1,7);OBJ x163=FLD1(x1,8);OBJ x164=FLD1(x1,9);OBJ x165=FLD1(x1,10);OBJ x166=FLD1(x1,11);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   COPY(x157,1);COPY(x158,1);COPY(x159,1);COPY(x161,1);COPY(x162,1);COPY(x164,1);COPY(x165,1);COPY(x166,1);
   FRPRD(x1,1);}
  {OBJ x175;OBJ x167;OBJ x168;OBJ x169;OBJ x170;OBJ x171;OBJ x172;OBJ x173;OBJ x174;OBJ x176;OBJ x177;OBJ x178;OBJ x179;OBJ x180;OBJ x181;OBJ x182;OBJ x183;OBJ x184;OBJ x185;OBJ x186;OBJ x187;OBJ x188;
   switch(TGPRM(x156)){
    case 5:
     CPPRD(__AFileSystemConv_Sq_O2_L16,1);
     CPCLS(__AFileSystemConv_Sq_O4_L35,1);
     CPPRD(__AFileSystemConv_Sq_O5_L36,3);
     CPPRD(__AFileSystemConv_Sq_O5_L37,1);
     x175=__AFileSystemConv_Sq_O2_L16;break;
    case 6:
     CPPRD(__AFileSystemConv_Sq_O2_L17,1);
     CPCLS(__AFileSystemConv_Sq_O4_L35,1);
     CPPRD(__AFileSystemConv_Sq_O5_L36,3);
     CPPRD(__AFileSystemConv_Sq_O5_L37,1);
     x175=__AFileSystemConv_Sq_O2_L17;break;
    case 7:
     CPPRD(__AFileSystemConv_Sq_O2_L18,1);
     CPCLS(__AFileSystemConv_Sq_O4_L35,1);
     CPPRD(__AFileSystemConv_Sq_O5_L36,3);
     CPPRD(__AFileSystemConv_Sq_O5_L37,1);
     x175=__AFileSystemConv_Sq_O2_L18;break;
    case 4:
     CPPRD(__AFileSystemConv_Sq_O2_L19,1);
     CPCLS(__AFileSystemConv_Sq_O4_L35,1);
     CPPRD(__AFileSystemConv_Sq_O5_L36,3);
     CPPRD(__AFileSystemConv_Sq_O5_L37,1);
     x175=__AFileSystemConv_Sq_O2_L19;break;
    case 1:
     CPPRD(__AFileSystemConv_Sq_O2_L20,1);
     CPCLS(__AFileSystemConv_Sq_O4_L35,1);
     CPPRD(__AFileSystemConv_Sq_O5_L36,3);
     CPPRD(__AFileSystemConv_Sq_O5_L37,1);
     x175=__AFileSystemConv_Sq_O2_L20;break;
    case 2:
     CPPRD(__AFileSystemConv_Sq_O2_L21,1);
     CPCLS(__AFileSystemConv_Sq_O4_L35,1);
     CPPRD(__AFileSystemConv_Sq_O5_L36,3);
     CPPRD(__AFileSystemConv_Sq_O5_L37,1);
     x175=__AFileSystemConv_Sq_O2_L21;break;
    case 0:
     CPPRD(__AFileSystemConv_Sq_O2_L22,1);
     CPCLS(__AFileSystemConv_Sq_O4_L35,1);
     CPPRD(__AFileSystemConv_Sq_O5_L36,3);
     CPPRD(__AFileSystemConv_Sq_O5_L37,1);
     x175=__AFileSystemConv_Sq_O2_L22;break;
    default: 
     CPPRD(__AFileSystemConv_Sq_O2_L15,1);
     CPCLS(__AFileSystemConv_Sq_O4_L35,1);
     CPPRD(__AFileSystemConv_Sq_O5_L36,3);
     CPPRD(__AFileSystemConv_Sq_O5_L37,1);
     x175=__AFileSystemConv_Sq_O2_L15;}
   x167=_ATimeConv_6(__AFileSystemConv_Sq_O5_L36,x166);
   x168=_ATimeConv_6(__AFileSystemConv_Sq_O5_L36,x165);
   x169=_ATimeConv_6(__AFileSystemConv_Sq_O5_L36,x164);
   x170=_AUserAndGroupConv_10(x162);
   x171=_AUserAndGroupConv_9(x161);
   x172=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFileSystemConv_Sq_O4_L35,1))(__AFileSystemConv_Sq_O4_L35,x157);
   AFileSystemConv_Ahc_Aconvinode(x158,x173);
   AFileSystemConv_Ahc_Aconvdevice(x159,x174);
   x176=_ABTUnion_36(x167);
   ADenotation_2(__ANat_16,x172,x177);
   x178=_ABTUnion_29(x168,x176);
   x179=_ABTUnion_29(x169,x178);
   x180=_ABTUnion_23(x163,x179);
   x181=_ABTUnion_29(x170,x180);
   x182=_ABTUnion_29(x171,x181);
   x183=_ABTUnion_23(x160,x182);
   x184=_ABTUnion_29(x177,x183);
   x185=_ABTUnion_29(x175,x184);
   x186=_ABTUnion_29(x173,x185);
   x187=_ABTUnion_29(x174,x186);
   x188=_AStringFormat_1(__AFileSystemConv_Sq_O5_L37,x187);
   r=_AStringConv_1(x188);}}
 return r;}

extern OBJ _AFileSystemConv_Sq_O4_L35(OBJ x1,OBJ x2) /* `,4'35 */
{OBJ r;
 {OBJ x3;
  ANat_76(x2,__ANat_5,x3);
  if(ISTGPRM(x3,1)){
   {OBJ x4;
    x4=_AFileSystem_197(__AFileSystem_18,x1);
    if(ISTGPRM(x4,1)){
     r=__APrintableChar_86;
    }else{
     r=__APrintableChar_29;}}
  }else{
   {OBJ x5;
    ANat_76(x2,__ANat_8,x5);
    if(ISTGPRM(x5,1)){
     {OBJ x6;
      x6=_AFileSystem_197(__AFileSystem_16,x1);
      if(ISTGPRM(x6,1)){
       r=__APrintableChar_91;
      }else{
       r=__APrintableChar_29;}}
    }else{
     {OBJ x7;
      ANat_76(x2,__ANat_9,x7);
      if(ISTGPRM(x7,1)){
       COPY(x1,1);
       {OBJ x8;OBJ x9;
	x8=_AFileSystem_197(__AFileSystem_14,x1);
	x9=_AFileSystem_197(__AFileSystem_24,x1);
	if(ISTGPRM(x8,1)){
	 if(ISTGPRM(x9,1)){
	  r=__APrintableChar_87;
	 }else{
	  r=__APrintableChar_92;}
	}else{
	 if(ISTGPRM(x9,1)){
	  r=__APrintableChar_61;
	 }else{
	  r=__APrintableChar_29;}}}
      }else{
       {OBJ x12;
	ANat_76(x2,__ANat_10,x12);
	if(ISTGPRM(x12,1)){
	 {OBJ x13;
	  x13=_AFileSystem_197(__AFileSystem_12,x1);
	  if(ISTGPRM(x13,1)){
	   r=__APrintableChar_86;
	  }else{
	   r=__APrintableChar_29;}}
	}else{
	 {OBJ x14;
	  ANat_76(x2,__ANat_11,x14);
	  if(ISTGPRM(x14,1)){
	   {OBJ x15;
	    x15=_AFileSystem_197(__AFileSystem_10,x1);
	    if(ISTGPRM(x15,1)){
	     r=__APrintableChar_91;
	    }else{
	     r=__APrintableChar_29;}}
	  }else{
	   {OBJ x16;
	    ANat_76(x2,__ANat_12,x16);
	    if(ISTGPRM(x16,1)){
	     COPY(x1,1);
	     {OBJ x17;OBJ x18;
	      x17=_AFileSystem_197(__AFileSystem_8,x1);
	      x18=_AFileSystem_197(__AFileSystem_22,x1);
	      if(ISTGPRM(x17,1)){
	       if(ISTGPRM(x18,1)){
		r=__APrintableChar_87;
	       }else{
		r=__APrintableChar_92;}
	      }else{
	       if(ISTGPRM(x18,1)){
		r=__APrintableChar_61;
	       }else{
		r=__APrintableChar_29;}}}
	    }else{
	     {OBJ x21;
	      ANat_76(x2,__ANat_13,x21);
	      if(ISTGPRM(x21,1)){
	       {OBJ x22;
		x22=_AFileSystem_197(__AFileSystem_6,x1);
		if(ISTGPRM(x22,1)){
		 r=__APrintableChar_86;
		}else{
		 r=__APrintableChar_29;}}
	      }else{
	       {OBJ x23;
		ANat_76(x2,__ANat_14,x23);
		if(ISTGPRM(x23,1)){
		 {OBJ x24;
		  x24=_AFileSystem_197(__AFileSystem_4,x1);
		  if(ISTGPRM(x24,1)){
		   r=__APrintableChar_91;
		  }else{
		   r=__APrintableChar_29;}}
		}else{
		 {OBJ x25;
		  ANat_76(x2,__ANat_15,x25);
		  if(ISTGPRM(x25,1)){
		   COPY(x1,1);
		   {OBJ x26;OBJ x27;
		    x26=_AFileSystem_197(__AFileSystem_2,x1);
		    x27=_AFileSystem_197(__AFileSystem_20,x1);
		    if(ISTGPRM(x26,1)){
		     if(ISTGPRM(x27,1)){
		      r=__APrintableChar_88;
		     }else{
		      r=__APrintableChar_92;}
		    }else{
		     if(ISTGPRM(x27,1)){
		      r=__APrintableChar_62;
		     }else{
		      r=__APrintableChar_29;}}}
		  }else{
		   HLT("FileSystemConv at <55,30-32> : missing else in `\'FileSystemConv:filemode->denotation");}}}}}}}}}}}}}}}}}}
 return r;}

init_AFileSystemConv()
{
 static int visited=0; if(visited) return; visited=1;
 init_AFileSystem();
 init_AVoid();
 init_ANat();
 init_AString();
 init_ACom();
 init_ASeq();
 init_ATime();
 init_AUserAndGroup();
 init_ADenotation();
 init_AOption();
 init_ASet();
 init_AChar();
 init_AReal();
 init_APrintableChar();
 init_AStringConv();
 init_AStringFormat();
 init_ABTUnion();
 init_ATimeConv();
 init_AUserAndGroupConv();
 init_AInt();
 init_AArray();
 init_AStringMapSeq();
 DEN("S_IWUSR",__AFileSystemConv_31);
 DEN("S_IRGRP",__AFileSystemConv_30);
 DEN("S_IXUSR",__AFileSystemConv_29);
 DEN("S_IXGRP",__AFileSystemConv_28);
 DEN("S_IXOTH",__AFileSystemConv_27);
 DEN("S_IWOTH",__AFileSystemConv_26);
 DEN("S_IROTH",__AFileSystemConv_25);
 DEN("S_IWGRP",__AFileSystemConv_24);
 DEN("S_IRUSR",__AFileSystemConv_23);
 DEN("-",__AFileSystemConv_22);
 DEN("c",__AFileSystemConv_21);
 DEN("d",__AFileSystemConv_20);
 DEN("p",__AFileSystemConv_19);
 DEN("\?",__AFileSystemConv_18);
 DEN("l",__AFileSystemConv_17);
 DEN("s",__AFileSystemConv_16);
 DEN("b",__AFileSystemConv_15);
 CLS(1,_AFileSystemConv_14,__AFileSystemConv_14);
 CLS(1,_AFileSystemConv_13,__AFileSystemConv_13);
 CLS(1,_AFileSystemConv_6,__AFileSystemConv_6);
 DEN("%d/%d %d%d %n %d %d %n %d/%d/%d",__AFileSystemConv_37);
 CLS(1,_AFileSystemConv_5,__AFileSystemConv_5);
 DEN("%m%d%y %k:%M",__AFileSystemConv_36);
 CLS(1,_AFileSystemConv_4,__AFileSystemConv_4);
 CLS(2,_AFileSystemConv_35,__AFileSystemConv_35);
 CLS(1,_AFileSystemConv_3,__AFileSystemConv_3);
 DEN("S_ISUID",__AFileSystemConv_34);
 CLS(1,_AFileSystemConv_2,__AFileSystemConv_2);
 DEN("S_ISVTX",__AFileSystemConv_33);
 CLS(1,_AFileSystemConv_1,__AFileSystemConv_1);
 DEN("S_ISGID",__AFileSystemConv_32);
 init_const_AFileSystemConv();}

